<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Your Cart</ion-title>
  </ion-toolbar>

  <ion-toolbar mode="ios" color="light">
    <div class="cart-total">
      <div class="lbl">TOTAL</div>
      <div class="amount">{{total | currency:' '}}</div>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">

  <ion-card *ngFor="let item of items">
    <div class="item-container">
      <div class="thumbnail">
        <img [src]="item.image" alt="">
      </div>
      <div class="details">
        
        <div class="item-info-container">
          <div class="item-info">
            <div class="name">{{item.name}}</div>  

            <div class="cart-info">
              <div class="item-qty"> 
                <div class="lbl">QTY</div>
                <div class="amount">{{item.quantity}}</div>          
              </div>
              <div class="item-price"> 
                <div class="lbl">PRICE</div>
                <div class="amount">{{item.price | currency:' '}}</div>          
              </div>
              <div class="item-total"> 
                <div class="lbl">TOTAL</div>
                <div class="amount">{{item.total | currency:' '}}</div>          
              </div>  
            </div>         
            
            <div class="qty-buttons">
              <div class="plus-minus">
                <ion-button color="secondary" fill="clear" (click)="decrement(item)">
                  <ion-icon name="remove"></ion-icon>
                </ion-button>
                <ion-button color="secondary" fill="clear" (click)="increment(item)">
                  <ion-icon name="add"></ion-icon>
                </ion-button>
              </div>

              <ion-button color="danger" fill="clear" (click)="remove(item)">
                <ion-icon name="trash" mode="ios"></ion-icon>
              </ion-button>
            </div>            
          </div>
        </div>        
      </div>
    </div>
  </ion-card>

  <div class="container ion-text-center" *ngIf="!items.length">
    <h3>Your cart is empty</h3>    
    <ion-button mode="ios" shape="round" (click)="back()">Continue Shopping</ion-button>
  </div>  
</ion-content>

<ion-footer mode="ios" *ngIf="items.length">
  <ion-button shape="round" mode="ios" color="secondary" (click)="checkout()">Checkout</ion-button>
</ion-footer>